Subject: Re: [PATCH] powerpc: Fix missing doorbell IPIs during nap power saving

From: Benjamin Herrenschmidt <[email-masked]>
Date: Mon, 29 Apr 2013 19:05:39 +1000

On Mon, 2013-04-29 at 18:17 +1000, Ian Munsie wrote:
> This is not an issue with other interrupts that can wake a thread
> (external, decrementer) as they are level sensitive and will continue to
> be asserted by the hardware.

However, it might be worth experimenting setting the corresponding
bits in the PACA as well, as this will diminish the latency of
processing them.

IE. local_irq_enable() will see the bit, generate an interrupt
frame and call the handler which is a faster path than re-enabling
MSR:EE and then taking an external interrupt.

Cheers,
Ben.